
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《分布式系统：概念与设计》一第2节　练习 / iVAN</title>

    <meta name="description" content="《分布式系统：概念与设计》一第2节　练习 练习 2.1 提供三个具体的.不同的例子,说明在2.2节定义的当代分布式系统中异构性的增加. 2.2 在通信实体之间的直接耦合,你能预见到什么问题?这些问题在远程调用方案中是隐含的.你期望时空分离所提供的解耦合具有什么优势?注意,你可能需要在阅读第5章和第6章后再来寻求答案. 2.3 描述一个或多个主要的互联网应用(如Web.电子邮件或网络新闻)的客户-服务器体系结构并给出图示. 772.4 对于练习2.1中描述的应用,在实现相关服务适合采用什么放置策略? 2.5 搜索引擎是一个Web服务器,它">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《分布式系统：概念与设计》一第2节　练习</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>练习</h3>
<p>2.1　提供三个具体的、不同的例子，说明在2.2节定义的当代分布式系统中异构性的增加。<br />
2.2　在通信实体之间的直接耦合，你能预见到什么问题？这些问题在远程调用方案中是隐含的。你期望时空分离所提供的解耦合具有什么优势？注意，你可能需要在阅读第5章和第6章后再来寻求答案。<br />
2.3　描述一个或多个主要的互联网应用（如Web、电子邮件或网络新闻）的客户-服务器体系结构并给出图示。<br />
772.4　对于练习2.1中描述的应用，在实现相关服务适合采用什么放置策略？<br />
2.5　搜索引擎是一个Web服务器，它响应客户的请求，在它存储的索引中查找，并（同时）运行几个Web抓取任务来创建和更新索引。在这些并发的当前活动之间进行同步的需求是什么？<br />
2.6　在对等系统中使用的主机通常只是用户办公室或家里的计算机。对共享数据对象的可用性和安全性而言，这意味着什么？通过使用复制能多大程度上克服这些弱点？<br />
2.7　列出易受不可靠程序（从远程站点下载并在本地运行的程序）攻击的本地资源的类型。<br />
2.8　通过应用实例说明使用移动代码的好处。<br />
2.9　考虑一个假想的汽车出租公司，画出一个三层解决方案，提供基本的分布式汽车出租服务。用这个来说明三层解决方案的好处和缺点，考虑诸如性能、可伸缩性、故障处理、软件长期维护等问题。<br />
2.10　提供一个具体的例子，说明在为分布式应用提供中间件支持方面，Saltzer的端到端争论所提及的困境（你可以关注提供可靠分布式系统的一个方面，例如，与容错或安全相关的方面）。<br />
2.11　设计一个简单的服务器，它不用访问其他服务器就可完成客户请求。解释为什么它通常不可能对服务器响应客户请求的时间设置限制。需要怎样做才能使服务器可以在一定时间范围内执行请求？这是一个实用的选择吗？<br />
2.12　针对影响通信通道上的两个进程之间传递消息所花的时间的各个因素，说明需要对哪些影响总时间的度量设置限制。为什么在当前通用的分布式系统中不提供这些度量？<br />
2.13　网络时间协议服务能用于同步计算机时钟，解释为什么即使使用该服务，也不能对两个时钟之间的不同给出确定的范围。<br />
2.14　考虑在异步分布式系统中使用的两个通信服务。在服务A中，消息可能丢失、被复制或延迟，校验和仅应用于消息头。在服务B中，消息可能丢失、延迟或传递得太快以致接收方无法处理它，但到达目的地的消息的内容一定正确。<br />
描述上面两个服务会出现的故障类型，根据它们对有效性和完整性的影响为故障分类。服务B能被描述成可靠的通信服务吗？<br />
2.15　有一对进程X和Y，它们使用练习2.14中的通信服务B相互通信。假设X是客户而Y是服务器，一个调用始于X到Y的请求消息，然后Y执行该请求，最后从Y向X发送应答消息。思考这样一个调用会出现的故障类型。<br />
2.16　假设一个基本的磁盘读操作有时读取的值与写入的值不同。叙述基本的磁盘读操作会出现的故障类型。阐述如何屏蔽故障以产生另一种良性故障，并对如何屏蔽良性故障提出建议。<br />
2.17　定义可靠通信的完整性，列出所有来自用户和系统组件的对完整性的可能的威胁。面对每种威胁，要采取什么手段确保完整性？<br />
2.18　描述可能出现在互联网上的几类主要的安全威胁类型（对进程的威胁、对通信通道的威胁、服务拒绝）。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:29:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a3%81%e7%9b%98/" title="磁盘">磁盘</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%b8%83%e5%bc%8f/" title="分布式">分布式</a>, <a href="https://www.iamivan.net/tag/%e5%90%8c%e6%ad%a5/" title="同步">同步</a>, <a href="https://www.iamivan.net/tag/%e7%b4%a2%e5%bc%95/" title="索引">索引</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a3%e5%86%b3%e6%96%b9%e6%a1%88/" title="解决方案">解决方案</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%b8%83%e5%bc%8f%e7%b3%bb%e7%bb%9f/" title="分布式系统">分布式系统</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《分布式系统：概念与设计》一第2节　练习的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWlWVp.html" rel="bookmark">《分布式系统：概念与设计》一第3节 练习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前 言 在互联网和Web持续发展并且对我们社会的每个方面都产生影响的时候,这本教材的第5版问世了.本书的介绍性章节提到互联网和Web对诸多(如金融.商业.艺术.娱乐等)应用领域的影响以及对信息社会的普遍影响.它还强调了诸如Web搜索和多人在线游戏等应用领域中的需求.从分布式系统的角度出发,这些开发在应用的范围.多个现代系统所支持的工作负载和系统大小等方面正在对底层系统架构提出实质性的新需求.重要的趋势包括网络技术上不断增加的多样性和普遍性(包括不断增加的无线网络的重要性).移动和无处不在计算元素			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOJmj5p.html" rel="bookmark">《分布式系统：概念与设计》一2&period;3&period;1　体系结构元素</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3.1 体系结构元素 为了理解一个分布式系统的基础构建块,有必要考虑下面四个关键问题: 在分布式系统中进行通信的实体是什么? 它们如何通信,特别是使用什么通信范型? 它们在整个体系结构中扮演什么(可能改变的)角色,承担什么责任? 它们怎样被映射到物理分布式基础设施上(它们被放置在哪里)? 通信实体 上述前两个问题是理解分布式系统的关键:什么是通信和这些实体如何相互通信为分布式系统开发者定义了一个丰富的设计空间.它对从面向系统和面向问题的角度解决第一个问题是有帮助的. 从系统的观点,回答通常是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmJWYp.html" rel="bookmark">《分布式系统：概念与设计》一3&period;1　简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.1 简介 要构建分布式系统所使用的网络,首先需要众多的传输介质,包括电线.电缆.光纤以及无线频道:然后需要一些硬件设备,包括路由器.交换机.网桥.集线器.转发器和网络接口:最后还需要软件组件,包括协议栈.通信处理器和驱动器.上述因素都会影响分布式系统和应用程序所能达到的最终功能和性能.我们把为分布式系统提供通信设施的软硬件组件称为通信子系统.计算机和其他使用网络进行通信的设备称为主机.结点则指的是在网络上的所有计算机或者交换设备.互联网是一个通信子系统,它为所有接入的主机提供通信服务.互联网			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zenG67b.html" rel="bookmark">《分布式系统：概念与设计》一1&period;1　简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1 简介 计算机网络无处不在.互联网也是其中之一,因为它是由许多种网络组成的.移动电话网.协作网.企业网.校园网.家庭网.车内网,所有这些,既可单独使用,又可相互结合,它们具有相同的本质特征,这些特征使得它们可以放在分布式系统的主题下来研究.本书旨在解释影响系统设计者和实现者的连网的计算机的特征,给出已有的可帮助完成设计和实现分布式系统任务的主要概念和技术.我们把分布式系统定义成一个其硬件或软件组件分布在连网的计算机上,组件之间通过传递消息进行通信和动作协调的系统.这个简单的定义覆盖了所有可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZBn8Yz.html" rel="bookmark">《分布式系统：概念与设计》一1&period;2　分布式系统的例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 分布式系统的例子 本节给出能激发读者学习积极性的当代分布式系统的例子,用于说明分布式系统所扮演的无处不在的角色和相关应用的多样性. 如1.1节所提及的那样,网络无处不在,成为我们现在认为理所当然的日常服务(互联网和相关的万维网.Web搜索.在线游戏.电子邮件.社会网络.电子商务,等等)的基础.为了进一步说明这一点,可参考图1-1,它描述了一系列所选的关键商务或社会应用部门,强调了相关的分布式系统技术已公认或新出现的应用. 正如所看到的,分布式系统包含近些年许多最重要的技术发展,因此理解底			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8ALQVz.html" rel="bookmark">《PADS 9&period;5电路设计与仿真从入门到精通》&mdash;&mdash;第一章　绪论 1&period;1　PCB的基本概念及设计工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一章 绪论 PADS 9.5电路设计与仿真从入门到精通 本章主要介绍PADS的基本概念及特点,包括PCB设计的一般原则.基本步骤.标准规范等.着重介绍了美国Mentor Graphics公司的PCB设计软件:PADS 9.5,包括了PADS 9.5的发展过程以及它的新特点.PADS 9.5是一款非常优秀的PCB设计软件,它具有完整强大的PCB绘制工具,界面和操作十分简洁,希望用户好好学习本书,以便更加方便地使用PADS 9.5软件. 1.1 PCB的基本概念及设计工具 PADS 9.5电路设计			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3G38z.html" rel="bookmark">《分布式系统：概念与设计》一练习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				练习 1.1 列出能被共享的五种类型的硬件资源和五种类型的数据或软件资源,并举出它们在实际的分布式系统中发生共享的例子. 1.2 在不参考外部时间源的情况下,通过本地网络连接的两台计算机的时钟如何同步?什么因素限制了你描述的过程的准确性?由互联网连接的大量的计算机的时钟是如何同步的?讨论该过程的准确性. 1.3 考虑1.2.2节讨论的大型多人在线游戏的实现策略.采用单一服务器方法表示多个玩家游戏状态的好处是什么?这存在什么问题以及如何解决? 1.4 一个用户随身携带可以无线连网的PDA,来到一个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baBYVPM.html" rel="bookmark">《分布式系统：概念与设计》一2&period;4&period;1　交互模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4.1 交互模型 2.3节对系统体系结构的讨论表明分布式系统由多个以复杂方式进行交互的进程组成.例如: 多个服务器进程能相互协作提供服务,前面提到的例子有域名服务(它将数据分区并复制到互联网中的服务器上)和Sun的网络信息服务(它在局域网的几个服务器上保存口令文件的复制版本). 对等进程能相互协作获得一个共同的目标.例如,一个语音会议系统,它以类似的方式分布音频数据流,但它有严格的实时限制. 大多数程序员非常熟悉算法的概念--采取一系列步骤以执行期望的计算.简单的程序由算法控制,算法中的每一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1lX1rb.html" rel="bookmark">《分布式系统：概念与设计》一1&period;5　挑战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.5 挑战 1.2节的例子试图说明分布式系统的范围,并提出在设计中出现的问题.在许多系统中,遇到了重大的挑战并且已经得到解决.随着分布式系统的应用范围和规模的扩展,可能会遇到相同的和其他的挑战.本节我们描述主要的挑战. 1.5.1 异构性 互联网使得用户能在大量异构计算机和网络上访问服务和运行应用程序.下面这些均存在异构性(即存在多样性和差别): 网络: 计算机硬件: 操作系统: 编程语言: 由不同开发者完成的软件实现. 虽然互联网由多种不同种类的网络组成(见图1-3),但因为所有连接到互联网			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbE47oz.html" rel="bookmark" class="title">用lotus server&period;load进行负载测试的的脚本编写问题</a>
					<div>
						问题描述 用lotus server.load进行负载测试的的脚本编写问题 现在公司要lotus开发完了要用lotus server.load进行负载测试测试脚本各种不会写有没有大神做过求教.怎么在脚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYwQlz.html" rel="bookmark" class="title">DreamweaverMX Ultradev探索&lpar;3-2&rpar;</a>
					<div>
						dreamweaver Dreamweaver MX Ultradev探索(3)向数据库中添加记录 &lt;4&gt; 我们的重头戏来了,这里才是真正感受到DW MX强大的时候,您可以不书写一行代码就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqqQRM.html" rel="bookmark" class="title">JS教程&colon;学习笔记之JS类</a>
					<div>
						背景:接触JavaScript快两年了.从最开始对她充满着好奇,到现在的学习了许多关于她的框架.朋友问我:都有这么多框架,你为何还要去学最底层的面向对象呢?其实这个问题:另一个朋友已经替我回答了.无论 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZGwOb.html" rel="bookmark" class="title">ASP建立WEB页面计数器</a>
					<div>
						web|计数器|页面 用ASP建立WEB页面的计数器通常有两种简单的方法,一个是建立global.asa,另外一个是直接写一个ASP文件来进行计数.一般使用一个文档来保存浏览数量.    1.用glo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQxdrz.html" rel="bookmark" class="title">网站设计参考&colon;精美的鲜艳色彩网站设计实例</a>
					<div>
						颜色是所有设计的基础,对于网站页面设计来说,色彩的应用尤其慎重.通常阅读一些网页设计资料会看到,很多人都建议单页面中的颜色不要超过三种,否则会觉得很杂乱,那么是不是艳丽的色彩与网页设计就无关呢? 实际 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz77rZz.html" rel="bookmark" class="title">SEO新手一定要摆脱自身狂妄症</a>
					<div>
						可能现在你要再说入行SEO,都会被别人极力劝阻,因为就目前的情况来看,信息复杂混乱,接单白菜价,做站越发利益化等等都让整个SEO环境变得越发恶劣.其实大家从最近国平老师宣布关闭光年SEO论坛就能看出来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvk09p.html" rel="bookmark" class="title">C语言初级讲座之分支结构</a>
					<div>
						关系运算符和表达式 在程序中经常需要比较两个量的大小关系,以决定程序下一步的工作.比较两个量的运算符称为关系运算符.在C语言中有以下关系运算符: &lt; 小于 &lt;= 小于或等于 &gt; 大于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEYkPb.html" rel="bookmark" class="title">编程算法之合并有序链表</a>
					<div>
						题目: 合并有序链表, 给定两个升序的链表, 返回一个合并之后的升序链表. 节点结构: struct Node{ int val; Node *next; }; 要求实现的函数: Node* merg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK6j6M.html" rel="bookmark" class="title">对称加密之AES及压缩加密解密解压综合实战</a>
					<div>
						 对称加密:就是采用这种加密方法的双方使用方式用同样的密钥进行加密和解密.密钥是控制加密及解密过程的指令.算法是一组规则,规定如何进行加密和解密. 因此加密的安全性不仅取决于加密算法本身,密钥管理的安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY21D6p.html" rel="bookmark" class="title">网络人远程开机卡功能详解</a>
					<div>
						网络人远程开关机卡结构简单.可靠性高,不需要安装驱动程序,使用不受地域限制.方便快捷.运行费用低,装入网络人远程开机卡的电脑可以彻底解决电脑24小时无人值守问题,完美解放公司人力,财力.网络人远程开机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxk9ob.html" rel="bookmark" class="title">重拾热情之：网页重构都在做什么</a>
					<div>
						这个标题目的很简单,就是为了让我们这些日复一日埋头码页面的网页重构工作者,重拾面对这个我们所热爱的行业的热情;检视经常被我们在繁琐的工作中忽略的初级错误;以新人的眼光和态度迸发热情认真对待每一个页面. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1ENXz.html" rel="bookmark" class="title">PhotoShop调出冬日美女温暖文艺效果教程</a>
					<div>
						你是否还记得&quot;冬日恋歌&quot;里面一幕幕动人的场景?而冬天渐渐逝去,影友们是不是手头上积攒了很多冬日的人像作品呢?怎么样才能将这些作品处理成很有文艺气息 的作品呢?本期来分享如何通过简单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXw2rp.html" rel="bookmark" class="title">为什么用户都选择160WiFi？</a>
					<div>
						现在用笔记本创建wifi热点已经不是什么稀奇的事情了.如果您懂代码,可以直接输入代码来创建wifi热点;如果您是电脑小白,借助个软件也可以很方便的实现与电脑的wifi共享.对于用户而言,160WiFi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGE38p.html" rel="bookmark" class="title">怎么去掉u盘写保护？</a>
					<div>
						我们现在会遇到这样的问题,就是当我们想要操作我们U盘里面的文件的时候系统提示我们说磁盘被写保护,请去除写保护或者使用另一张磁盘.很多人都十分困惑不知道该如何解决这个问题. 如果确定不是U盘硬件被写保护 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYmq6b.html" rel="bookmark" class="title">随手关闭 Mac 的显示器Expos&eacute; 的好功能</a>
					<div>
						  使用Mac时如果短时间不用可以随手关闭显示器,只用移动一下光标就好啦,只需事先在系统偏好设置里做一下设定,方法如下所示: 打开系统偏好设置,点击Exposé与spaces;然后在Exposé与Sp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24DlBp.html" rel="bookmark" class="title">c语言-一元二次方程C语言编写问题</a>
					<div>
						问题描述 一元二次方程C语言编写问题 #include &lt;stdio.h&gt; #include &lt;math.h&gt; void main() {float abc; scanf(&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYkNrM.html" rel="bookmark" class="title">判断dataset中是否存在某个表？</a>
					<div>
						DataSet ds=new DataSet(); //给表dt起了个名字dtName DataTable dt=new DataTable(&quot;dtName&quot;); //将dt表添加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWZdBb.html" rel="bookmark" class="title">oracle数据库优化一则</a>
					<div>
						本次优化涉及到oracle数据库大量insert 数据索引带来的开销,使用append.parallel的方式进行改善性能. 一.首先熟悉一下oracle hint的方法 Oracle Hints是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWWLjp.html" rel="bookmark" class="title">web系统更新发布</a>
					<div>
						问题描述 Hi,我想咨询下关于web系统更新后发布到服务器上去后,有的时候客户端不会立即去下载最新的代码,还会继续使用本地缓存的代码,像JS代码.如何解决这种问题,保证服务器更新后客户端立即更新. 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PPoBp.html" rel="bookmark" class="title">Android不同应用如何筛选服务器推送消息？</a>
					<div>
						问题描述 Android不同应用如何筛选服务器推送消息? 现在我们自己建一个推送系统.客户端可以通过推送接收到服务器端的消息.而我有多个客户端应用要使用这个系统,为了节约服务器资源,我们想一个手机和服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YnY3M.html" rel="bookmark" class="title">PHP 源码探秘 - 为什么 trim 会导致乱码</a>
					<div>
						运行以下代码: $tag = '互联网产品.'; $text = rtrim($tag, &quot;.&quot;); print_r($text); 运行,我们可能以为会得到的结果是 互联网产品  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZVqJb.html" rel="bookmark" class="title">PHP CI框架下，如果配置NGINX（根目录和子目录两种模式）</a>
					<div>
						摸索了一会儿,先配置成功,再看看PATH_INFO之类的东东吧. A,根目录: location ~ \.php($|/) { root html; fastcgi_pass 127.0.0.1:90 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEnkvM.html" rel="bookmark" class="title">mvc ajax返回json为2维数组，js代码怎么遍历 ？</a>
					<div>
						问题描述 mvc ajax返回json为2维数组,js代码怎么遍历 ? 后台controller中返回了一个json,其中data是一个2维数组: return new JsonResult() {  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRY4Nb.html" rel="bookmark" class="title">为什么Linux不需要磁盘碎片整理</a>
					<div>
						如果你是个Linux用户,你可能听说过不需要去对你的linux文件系统进行磁盘碎片整理.也许你注意到了,在Liunx安装发布包里没有磁盘碎片整理的工具.为什么会这样? https://dn-linux ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGE79OM.html" rel="bookmark" class="title">android-Android expandablelistview 点击了groupview的一项却展开另外一项</a>
					<div>
						问题描述 Android expandablelistview 点击了groupview的一项却展开另外一项 Android expandablelistview ,在4.2上正常运行,在2.3.3上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYZPmp.html" rel="bookmark" class="title">vc&num;中wmplayer如何实现视频播放完后自动隐藏</a>
					<div>
						问题描述 如题,想做一个中途可选择的动画,利用vc#实现.目前想实现的是在程序开始时载入一小段视频,播放完后隐藏视频 解决方案 解决方案二:播放完毕,close不行吗?解决方案三:引用1楼kid_wa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjKgZM.html" rel="bookmark" class="title">《数据库原理与应用（第3版）》&mdash;&mdash;导读</a>
					<div>
						前 言 数据库技术起源于20世纪60年代末,经过几十余年的迅速发展,已经形成一套较完整的理论体系,产生了一大批商用软件产品.随着数据库技术的推广使用,计算机应用已深入到国民经济和社会生活的各个领域,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnOXrM.html" rel="bookmark" class="title">前端开发-为啥子alert&lpar;Number&lpar;0456&rpar;&rpar;&semi; 返回的值是302</a>
					<div>
						问题描述 为啥子alert(Number(0456)); 返回的值是302 为啥子alert(Number(0456)); 返回的值是302 解决方案 加上0表示这是一个8进制的数.所以8进制的456 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEBxXM.html" rel="bookmark" class="title">360杀毒后&comma;帮助用不了&comma;如何解决&quest;</a>
					<div>
						问题描述 360杀毒后,vs2005,sql2005,vs2012,微软的documentexplorer,helpviewer帮助都用不了,帮助目录可显示,内容出不来,无论选目录那一项,右边都显示& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqre1b.html" rel="bookmark" class="title">数据结构例程&mdash;&mdash;简单的计数排序</a>
					<div>
						本文是[数据结构基础系列(9):排序]中第9课时[简单的计数排序]的例程. #include &lt;stdio.h&gt; #include &lt;malloc.h&gt; #define Max ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
